(function ($, document) {
  /* define all vars at the start */
  let file_frame;

  /* on doc ready */
  $(document).ready(function () {
    jckpc_setupImgUploads();
    jckpc_setupSorting();
  });

  /* functions */

  function jckpc_setupImgUploads() {
    $('.jckpc_upload_image_button').on('click', function (event) {
      event.preventDefault();
      const $theBtn = $(this);

      // Create the media frame.
      file_frame = wp.media.frames.file_frame = wp.media({
        title: $theBtn.attr('data-uploader_title'),
        button: {
          text: $theBtn.attr('data-uploader_button_text')
        },
        multiple: false // Set to true to allow multiple files to be selected
      });

      // When an image is selected, run a callback.
      file_frame.on('select', function () {
        // We set multiple to false so only get one image from the uploader
        attachment = file_frame.state().get('selection').first().toJSON();
        const $theFiled = $($theBtn.attr('data-uploader_field'));
        const $theThumbWrap = $($theBtn.attr('data-uploader_field') + '_thumbwrap');
        $theFiled.val(attachment.id);
        $theThumbWrap.html('<img src="' + attachment.sizes.thumbnail.url + '" width="50" height="50" />');
        // Do something with attachment.id and/or attachment.url here
      });

      // Finally, open the modal
      file_frame.open();
    });
    $('.jckpc_remove_image_button').on('click', function () {
      const $theBtn = $(this);
      const $imgField = $theBtn.attr('data-uploader_field');
      $($imgField).val('');
      $($imgField + '_thumbwrap').html('');
      return false;
    });
  }
  function jckpc_setupSorting() {
    const $sortOrderInput = $('#jckpc_sort_order'),
      $sortable = $('#jckpc_sortable');
    $('#jckpc_sortable').sortable({
      revert: true,
      update(event, ui) {
        if ($sortOrderInput.length > 0) {
          const $sortableItems = $sortable.find('.options_group'),
            theOrder = [];
          $sortableItems.each(function () {
            const attrSlug = $(this).attr('data-attr-slug');
            theOrder.push(attrSlug);
          });
          $sortOrderInput.val(theOrder.join(','));
        }
      }
    });
  }
})(jQuery, document);