## Installation

To install the plugin:

1. 	Navigate to Plugins > Add New > Upload.
2.	Click Choose File, and choose the file `iconic-woo-bundled-products.zip` from your CodeCanyon download zip.
3.	Once uploaded, click activate plugin.
4.	The plugin is now installed and activated.

## Configuration

Setting up a bundled product is easy. The following steps will have you set up in no time:

1. Create a new WooCommerce product by clicking Products > Add Product.
2. Give your product a title and description.
3. In the Product Data section, select `Bundled Product` from the product type dropdown (it’s usually displaying `Simple Product` by default).
4. Add a Product Image to your product, as normal.
6. There is a new tab under product data called `Bundled Products`. Here you can choose the products for your bundle.
  * **Products**  
    Click into the *Products* field and start typing the name of one of your other products, when it shows in the list, click it. Products will be displayed on the frontend in the order you add them here.
  * **Price Display**  
    You can choose to display your bundled product price as:  
    * **None**  
      When *None* is selected, no price will be displayed on the product page or in the catalog.
    * **Combined**  
      When *Combined* is selected, all prices will be added together to create a total price for all items. If a variable product is included in your bundle, then will be displayed as a min/max combined range.
    * **Range**  
      When *Range* is selected, the price will be displayed as the lowest priced product to the highest priced product in the bundle.
  * **Enable "Add All to Cart"?**  
    When enabled, a button is added after the product list enabling you to add all products to cart at once. If using variable products in your bundle, all options need to be selected before the button is enabled.

## Frontend Experience

Your visitors can find your bundled products in the normal product listings. When viewing a bundle, they are able to add any product in the bundle to the cart, right from that page; including variable products. They can also add all to the cart, with one click.

## Templates

Overriding a template is simple. Templates that can be overridden are in the `templates` folder within the plugin. Simply copy them over to a folder named `iconic-woo-bundled-products` within your theme folder.

I’d recommend avoiding overriding these templates as much as possible, as future updates may offer new versions of the templates.

## Theme Compatibility

WooCommerce Bundled Products will work with any well developed WooCommerce theme. If you have any issues, just let me know.